/*
 *                   XSPAWN
 *                Version 1.33
 *  (C) Copyright 1990 Whitney Software, Inc.
 *             All Rights Reserved
 */

#define P_WAIT   0
#define CURRENT  0
#define IRET     1

extern int cdecl _swap;                /* if 0, do swap */
extern char * cdecl _swappath;         /* swap path */
extern int cdecl _useems;              /* if 0, use EMS */
extern int cdecl _required;            /* child memory requirement in K */

#ifdef __cplusplus                     /* Turbo C++ predefined identifier */
extern "C" {
#endif

extern int cdecl xspawnl( int, char *, char *, ... );
extern int cdecl xspawnle( int, char *, char *, ... );
extern int cdecl xspawnlp( int, char *, char *, ... );
extern int cdecl xspawnlpe( int, char *, char *, ... );
extern int cdecl xspawnv( int, char *, char ** );
extern int cdecl xspawnve( int, char *, char **, char ** );
extern int cdecl xspawnvp( int, char *, char ** );
extern int cdecl xspawnvpe( int, char *, char **, char ** );
extern int cdecl xsystem( char * );

extern int cdecl addvect( int, int );

#ifdef  __cplusplus
}
#endif
